# Interface ShapePainter

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ShapePainter
Interface to define the actual shape drawing done by an Outliner. It contains a single method, `paintPoint`, which is called once for each point.

Since:
  6 Nov 2015
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`paintPoint(Tuple tuple, Color color, Paper paper)`
Paints a point given the current state.

## Method Details

### paintPoint

void paintPoint(Tuple tuple, Color color, Paper paper)
Paints a point given the current state. If the supplied `color` is non-null, then this painter must take steps to colour its painting. Otherwise, it should use the defaults for the graphics context on which it's painting.

Parameters:
  `tuple` - tuple
  `color` - colour, or null for default
  `paper` - graphics destination